import request from '@/benyun/utils/request'

// 获取物料树形分类
function treeList() {
	return request({
		url: '/maindata/maindataMaterialCategory/treeList',
		method: 'GET',
	})
}
// 根据主键id查询物料分类数据
function searchTreeList(data : any) {
	return request({
		url: '/maindata/maindataMaterialCategory/page',
		method: 'GET',
		params: data
	})
}
// 新增物料分类
function saveCategory(data : any) {
	return request({
		url: '/maindata/maindataMaterialCategory/saveCategory',
		method: 'POST',
		data: data
	})
}
// 修改物料分类
function updateCategory(data : any) {
	return request({
		url: '/maindata/maindataMaterialCategory/update',
		method: 'POST',
		data: data
	})
}
// 删除数据
function classDelete(data : any) {
	return request({
		url: '/maindata/maindataMaterialCategory/delete',
		method: 'POST',
		params: data
	})
}
// 根据父ID查询所有子节点列表
function childrenTreeList(data : any) {
	return request({
		url: '/maindata/maindataMaterialCategory/childrenTreeList/id?id=' + data,
		method: 'GET'
	})
}
export default {
	treeList,
	searchTreeList,
	saveCategory,
	updateCategory,
	classDelete,
	childrenTreeList
}